/** sliderbutton.scss
    Contains commonly used mixins for cards  
    -- Developed and Maintained by 
    Sukor Consulting **/

@import "../mixins/helpers";
@mixin sliderbutton($slider-color:white, $inactive-bg: black, $active-bg: #FF6633) {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 20px;
    input {
        display: none;
        &:checked + .slider {
            background-color: $active-bg;
        }
        &:focus + .slider {
            box-shadow: 0 0 1px $active-bg;
        }
        &:checked + .slider:before {
            @include prefix(transform, translateX(26px), 'webkit' 'moz' 'ms' 'o');
        }
    }
    /* The slider */
    .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: $inactive-bg;
        @include prefix(transition, .4s, 'webkit' 'moz' 'ms' 'o');
        &:before {
            position: absolute;
            content: "";
            height: 15px;
            width: 15px;
            left: 4px;
            bottom: 3px;
            background-color: $slider-color;
            @include prefix(transition, .4s, 'webkit' 'moz' 'ms' 'o');
        }
    }
    .round {
        @include prefix(border-radius, 20px, 'webkit' 'moz' 'ms' 'o');
        &:before {
            @include prefix(border-radius, 50%, 'webkit' 'moz' 'ms' 'o');
        }
    }
}
